Package ghidra.app.decompiler.signature

# Class VarnodeSignature

java.lang.Object
ghidra.app.decompiler.signature.DebugSignature
ghidra.app.decompiler.signature.VarnodeSignature

public class VarnodeSignature extends DebugSignature
A feature representing a portion of the data-flow graph rooted at a particular Varnode. The feature recursively incorporates details about the Varnode, the operation that defined it, and the operation's input Varnodes, up to a specific depth.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `opcode`
  `SequenceNumber`
  `seqNum`
  `Varnode`
  `vn`

  ### Fields inherited from class ghidra.app.decompiler.signature.DebugSignature

  `hash`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VarnodeSignature()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder)`
  Decode the feature from a stream.
  `void`
  `printRaw(Language language, StringBuffer buf)`
  Write a brief description of this feature to the given StringBuffer.

  ### Methods inherited from class ghidra.app.decompiler.signature.DebugSignature

  `decodeSignatures`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### vn

    public Varnode vn

  - ### seqNum

    public SequenceNumber seqNum

  - ### opcode

    public String opcode

- ## Constructor Details

  - ### VarnodeSignature

    public VarnodeSignature()

- ## Method Details

  - ### decode

    public void decode(Decoder decoder) throws DecoderException
    Description copied from class: `DebugSignature`
    Decode the feature from a stream.
    Specified by:
      `decode` in class `DebugSignature`
    Parameters:
      `decoder` - is the stream decoder
    Throws:
      `DecoderException` - for problems reading the stream

  - ### printRaw

    public void printRaw(Language language, StringBuffer buf)
    Description copied from class: `DebugSignature`
    Write a brief description of this feature to the given StringBuffer.
    Specified by:
      `printRaw` in class `DebugSignature`
    Parameters:
      `language` - is the underlying language of the function
      `buf` - is the given StringBuffer